Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3885 in orxonox.OLD


Ignore:
Timestamp:
Apr 18, 2005, 11:22:38 PM (19 years ago)
Author:
bensch
Message:

orxonox/branches/sound_engine: configure works

Location:
orxonox/branches/sound_engine
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/sound_engine/config.h.in

    r3863 r3885  
    5252/* Define to 1 if you have the <SDL_image.h> header file. */
    5353#undef HAVE_SDL_IMAGE_H
     54
     55/* Define to 1 if you have the <SDL/SDL_mixer.h> header file. */
     56#undef HAVE_SDL_SDL_MIXER_H
    5457
    5558/* Define to 1 if you have the <SDL_ttf.h> header file. */
  • orxonox/branches/sound_engine/configure

    r3863 r3885  
    61706170## CHECKING FOR HEADERS AND LIBS ##
    61716171###################################
     6172#-----------#
     6173# SDL_mixer #
     6174#-----------#
     6175
     6176for ac_header in SDL/SDL_mixer.h
     6177do
     6178as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6179if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6180  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6181echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6182if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6183  echo $ECHO_N "(cached) $ECHO_C" >&6
     6184fi
     6185echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6186echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6187else
     6188  # Is the header compilable?
     6189echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6190echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6191cat >conftest.$ac_ext <<_ACEOF
     6192/* confdefs.h.  */
     6193_ACEOF
     6194cat confdefs.h >>conftest.$ac_ext
     6195cat >>conftest.$ac_ext <<_ACEOF
     6196/* end confdefs.h.  */
     6197$ac_includes_default
     6198#include <$ac_header>
     6199_ACEOF
     6200rm -f conftest.$ac_objext
     6201if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6202  (eval $ac_compile) 2>conftest.er1
     6203  ac_status=$?
     6204  grep -v '^ *+' conftest.er1 >conftest.err
     6205  rm -f conftest.er1
     6206  cat conftest.err >&5
     6207  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6208  (exit $ac_status); } &&
     6209         { ac_try='test -z "$ac_c_werror_flag"
     6210                         || test ! -s conftest.err'
     6211  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6212  (eval $ac_try) 2>&5
     6213  ac_status=$?
     6214  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6215  (exit $ac_status); }; } &&
     6216         { ac_try='test -s conftest.$ac_objext'
     6217  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6218  (eval $ac_try) 2>&5
     6219  ac_status=$?
     6220  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6221  (exit $ac_status); }; }; then
     6222  ac_header_compiler=yes
     6223else
     6224  echo "$as_me: failed program was:" >&5
     6225sed 's/^/| /' conftest.$ac_ext >&5
     6226
     6227ac_header_compiler=no
     6228fi
     6229rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6230echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6231echo "${ECHO_T}$ac_header_compiler" >&6
     6232
     6233# Is the header present?
     6234echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6235echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6236cat >conftest.$ac_ext <<_ACEOF
     6237/* confdefs.h.  */
     6238_ACEOF
     6239cat confdefs.h >>conftest.$ac_ext
     6240cat >>conftest.$ac_ext <<_ACEOF
     6241/* end confdefs.h.  */
     6242#include <$ac_header>
     6243_ACEOF
     6244if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6245  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6246  ac_status=$?
     6247  grep -v '^ *+' conftest.er1 >conftest.err
     6248  rm -f conftest.er1
     6249  cat conftest.err >&5
     6250  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6251  (exit $ac_status); } >/dev/null; then
     6252  if test -s conftest.err; then
     6253    ac_cpp_err=$ac_c_preproc_warn_flag
     6254    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6255  else
     6256    ac_cpp_err=
     6257  fi
     6258else
     6259  ac_cpp_err=yes
     6260fi
     6261if test -z "$ac_cpp_err"; then
     6262  ac_header_preproc=yes
     6263else
     6264  echo "$as_me: failed program was:" >&5
     6265sed 's/^/| /' conftest.$ac_ext >&5
     6266
     6267  ac_header_preproc=no
     6268fi
     6269rm -f conftest.err conftest.$ac_ext
     6270echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6271echo "${ECHO_T}$ac_header_preproc" >&6
     6272
     6273# So?  What about this header?
     6274case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6275  yes:no: )
     6276    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6277echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6278    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6279echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6280    ac_header_preproc=yes
     6281    ;;
     6282  no:yes:* )
     6283    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6284echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6285    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6286echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6287    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6288echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6289    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6290echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6291    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6292echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6293    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6294echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6295    (
     6296      cat <<\_ASBOX
     6297## ---------------------------------------------- ##
     6298## Report this to orxonox-dev at mail.datacore.ch ##
     6299## ---------------------------------------------- ##
     6300_ASBOX
     6301    ) |
     6302      sed "s/^/$as_me: WARNING:     /" >&2
     6303    ;;
     6304esac
     6305echo "$as_me:$LINENO: checking for $ac_header" >&5
     6306echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6307if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6308  echo $ECHO_N "(cached) $ECHO_C" >&6
     6309else
     6310  eval "$as_ac_Header=\$ac_header_preproc"
     6311fi
     6312echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6313echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6314
     6315fi
     6316if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6317  cat >>confdefs.h <<_ACEOF
     6318#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6319_ACEOF
     6320
     6321else
     6322  { { echo "$as_me:$LINENO: error: sdl_mixer not found" >&5
     6323echo "$as_me: error: sdl_mixer not found" >&2;}
     6324   { (exit 1); exit 1; }; }
     6325fi
     6326
     6327done
     6328
     6329# checking for SDL_mixer-lib
     6330echo "$as_me:$LINENO: checking for main in -lSDL_mixer" >&5
     6331echo $ECHO_N "checking for main in -lSDL_mixer... $ECHO_C" >&6
     6332if test "${ac_cv_lib_SDL_mixer_main+set}" = set; then
     6333  echo $ECHO_N "(cached) $ECHO_C" >&6
     6334else
     6335  ac_check_lib_save_LIBS=$LIBS
     6336LIBS="-lSDL_mixer  $LIBS"
     6337cat >conftest.$ac_ext <<_ACEOF
     6338/* confdefs.h.  */
     6339_ACEOF
     6340cat confdefs.h >>conftest.$ac_ext
     6341cat >>conftest.$ac_ext <<_ACEOF
     6342/* end confdefs.h.  */
     6343
     6344
     6345int
     6346main ()
     6347{
     6348main ();
     6349  ;
     6350  return 0;
     6351}
     6352_ACEOF
     6353rm -f conftest.$ac_objext conftest$ac_exeext
     6354if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6355  (eval $ac_link) 2>conftest.er1
     6356  ac_status=$?
     6357  grep -v '^ *+' conftest.er1 >conftest.err
     6358  rm -f conftest.er1
     6359  cat conftest.err >&5
     6360  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6361  (exit $ac_status); } &&
     6362         { ac_try='test -z "$ac_c_werror_flag"
     6363                         || test ! -s conftest.err'
     6364  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6365  (eval $ac_try) 2>&5
     6366  ac_status=$?
     6367  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6368  (exit $ac_status); }; } &&
     6369         { ac_try='test -s conftest$ac_exeext'
     6370  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6371  (eval $ac_try) 2>&5
     6372  ac_status=$?
     6373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6374  (exit $ac_status); }; }; then
     6375  ac_cv_lib_SDL_mixer_main=yes
     6376else
     6377  echo "$as_me: failed program was:" >&5
     6378sed 's/^/| /' conftest.$ac_ext >&5
     6379
     6380ac_cv_lib_SDL_mixer_main=no
     6381fi
     6382rm -f conftest.err conftest.$ac_objext \
     6383      conftest$ac_exeext conftest.$ac_ext
     6384LIBS=$ac_check_lib_save_LIBS
     6385fi
     6386echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_mixer_main" >&5
     6387echo "${ECHO_T}$ac_cv_lib_SDL_mixer_main" >&6
     6388if test $ac_cv_lib_SDL_mixer_main = yes; then
     6389  FOUND_SDL_mixer=yes
     6390fi
     6391
     6392   if test x$FOUND_SDL_mixer = xyes ; then
     6393     LIBS="$LIBS -lSDL_mixer"
     6394   else
     6395      echo "------------------"
     6396      echo "SDL_mixer library not found."
     6397      echo "please install the SDL_mixer library, which can be found at http://www.libsdl.org/projects/SDL_mixer/"
     6398      echo "------------------"
     6399      exit -1
     6400   fi
    61726401
    61736402#---------#
  • orxonox/branches/sound_engine/configure.ac

    r3863 r3885  
    420420## CHECKING FOR HEADERS AND LIBS ##
    421421###################################
     422#-----------#
     423# SDL_mixer #
     424#-----------#
     425AC_CHECK_HEADERS([SDL/SDL_mixer.h] ,,
     426      [AC_MSG_ERROR([sdl_mixer not found])])
     427# checking for SDL_mixer-lib
     428AC_CHECK_LIB([SDL_mixer], [main], [FOUND_SDL_mixer=yes])
     429   if test x$FOUND_SDL_mixer = xyes ; then
     430     LIBS="$LIBS -lSDL_mixer"
     431   else
     432      echo "------------------"
     433      echo "SDL_mixer library not found."
     434      echo "please install the SDL_mixer library, which can be found at http://www.libsdl.org/projects/SDL_mixer/"
     435      echo "------------------"
     436      exit -1
     437   fi   
    422438
    423439#---------#
Note: See TracChangeset for help on using the changeset viewer.